%global major   1.15
%define libname %mklibname %name %major
%define devel   %mklibname %{name} -d

#define prel 20200502
%define prel_ver 1.x
%define rel 1

Name:           spdlog
Version:        %{major}.3
Release:        %mkrel %{?prel:-c git%{prel}} %{rel}
Summary:        Super fast C++ logging library
Group:          Development/C
License:        MIT
URL:            https://github.com/gabime/spdlog
Source0:        https://github.com/gabime/spdlog/archive/%{?prel:v%{prel_ver}}%{?!prel:v%{version}}/%{name}-%{version}%{?prel:-git%{prel}}.tar.gz
BuildRequires:  ninja
BuildRequires:  cmake(fmt)
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(catch2) >= 3.5.0
BuildRequires:  pkgconfig(benchmark)

%description
This is a packaged version of the gabime/spdlog header-only C++
logging library available at Github.

%package -n %{devel}
Group:          Development/C
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{devel}
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%package -n %{libname}
Group:          System/Libraries
Summary:        Library for %name
Provides:       %{name} = %{version}-%{release}
# Temporarily used wrong name in mga9, ease update:
Obsoletes:      %{_lib}spdlog1 = 1.11.0-1.mga9

%description -n %{libname}
Library for %{name}.

%prep
%autosetup -p1 %{?prel:-n %{name}-%{prel_ver}}

# drop bundled fmt
rm -rf include/spdlog/fmt/bundled/

find . -name '.gitignore' -exec rm {} \;
sed -i -e "s,\r,," README.md
rm -f tests/catch.hpp

%build
%cmake -G Ninja \
    -DSPDLOG_BUILD_EXAMPLE=OFF \
    -DSPDLOG_BUILD_BENCH=OFF \
    -DSPDLOG_BUILD_TESTS=ON \
    -DSPDLOG_FMT_EXTERNAL=ON \
    -DSPDLOG_BUILD_SHARED=ON \
    -DSPDLOG_INSTALL=ON
%cmake_build

%check
%ctest

%install
%cmake_install

%files -n %{devel}
%doc README.md example/
%license LICENSE
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libspdlog.so

%files -n %{libname}
%{_libdir}/libspdlog.so.%{major}
%{_libdir}/libspdlog.so.%{version}


%changelog
* Sat May 10 2025 daviddavid <daviddavid> 1.15.3-1.mga10
+ Revision: 2182317
- new version: 1.15.3

* Mon Mar 31 2025 daviddavid <daviddavid> 1.15.2-1.mga10
+ Revision: 2172251
- new version: 1.15.2

* Sun Feb 02 2025 daviddavid <daviddavid> 1.15.1-1.mga10
+ Revision: 2144608
- new version: 1.15.1

* Thu Jan 30 2025 daviddavid <daviddavid> 1.15.0-1.mga10
+ Revision: 2143598
- new version: 1.15.0
- now libmajor is 1.15
- backport upstream patches to fix build with fmt >= 11.1
- rebuild for new fmt 11.1.3

* Wed Oct 02 2024 daviddavid <daviddavid> 1.14.1-2.mga10
+ Revision: 2102442
- rebuild for new fmt 11.0.2

* Tue Apr 30 2024 kekepower <kekepower> 1.14.1-1.mga10
+ Revision: 2061760
- Update to version 1.14.1

* Sat Apr 27 2024 kekepower <kekepower> 1.14.0-1.mga10
+ Revision: 2061302
- Update to version 1.14.0

* Sun Jan 14 2024 kekepower <kekepower> 1.13.0-1.mga10
+ Revision: 2031075
- Update to version 1.13.0

* Tue Aug 29 2023 kekepower <kekepower> 1.12.0-1.mga10
+ Revision: 1980752
- Update to version 1.12.0

* Thu Nov 03 2022 akien <akien> 1.11.0-4.mga9
+ Revision: 1902083
- Fixup obsoletes again

* Thu Nov 03 2022 akien <akien> 1.11.0-3.mga9
+ Revision: 1902034
- Fix typo in obsoletes

* Thu Nov 03 2022 akien <akien> 1.11.0-2.mga9
+ Revision: 1901948
- Fix lib major, it's now 1.11

* Thu Nov 03 2022 kekepower <kekepower> 1.11.0-1.mga9
+ Revision: 1901905
- Update to version 1.11.0

* Wed Oct 12 2022 papoteur <papoteur> 1.10.0-2.mga9
+ Revision: 1896390
- Rebuild for fmt 9

* Fri Apr 08 2022 kekepower <kekepower> 1.10.0-1.mga9
+ Revision: 1848006
- Update to version 1.10.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 13 2021 kekepower <kekepower> 1.9.2-1.mga9
+ Revision: 1741259
- Update to version 1.9.2

* Wed Jul 28 2021 kekepower <kekepower> 1.9.1-1.mga9
+ Revision: 1737994
- Update to version 1.9.1
+ wally <wally>
- remove devel pkg requires from lib pkg
- remove unneeded devel requires from dev pkg

* Fri Jul 23 2021 kekepower <kekepower> 1.9.0-1.mga9
+ Revision: 1737566
- Update to version 1.9.0

* Thu Jun 24 2021 wally <wally> 1.8.5-4.mga9
+ Revision: 1732117
- rebuild for fmt 8.0.0

* Thu Jun 24 2021 wally <wally> 1.8.5-3.mga9
+ Revision: 1732089
- add backwards compatible patch to fix build with upcoming libfmt 8.0.0

* Tue Jun 22 2021 wally <wally> 1.8.5-2.mga9
+ Revision: 1731704
- rebuild to resolve undefined symbols

* Fri Mar 26 2021 kekepower <kekepower> 1.8.5-1.mga9
+ Revision: 1710382
- Update to version 1.8.5

* Thu Mar 25 2021 kekepower <kekepower> 1.8.4-1.mga9
+ Revision: 1710110
- Update to version 1.8.4

* Wed Mar 24 2021 kekepower <kekepower> 1.8.3-1.mga9
+ Revision: 1709579
- Update to version 1.8.3

* Sun Dec 13 2020 kekepower <kekepower> 1.8.2-1.mga8
+ Revision: 1656273
- Update to version 1.8.2

* Tue Oct 06 2020 kekepower <kekepower> 1.8.1-1.1.mga8
+ Revision: 1632289
- Update to version 1.8.1

* Tue Jul 21 2020 wally <wally> 1.6.1-2.mga8
+ Revision: 1607622
- build with new cmake macros

* Wed Jul 08 2020 kekepower <kekepower> 1.6.1-1.mga8
+ Revision: 1603163
- Update to version 1.6.1
- Add 2 upstream patches for fmt 7.0

* Fri May 15 2020 kekepower <kekepower> 1.6.0-1.mga8
+ Revision: 1584063
- Update to version 1.6.0

* Mon May 04 2020 kekepower <kekepower> 1.5.1-0.git20200502.1.mga8
+ Revision: 1579608
- Update to snapshot 1.5.1-git20200502

* Fri Apr 17 2020 kekepower <kekepower> 1.5.0-3.mga8
+ Revision: 1568300
- Fixed both library and devel packages provided the same name

* Fri Apr 17 2020 kekepower <kekepower> 1.5.0-2.mga8
+ Revision: 1568276
- Devel package must require the library package

* Sat Apr 04 2020 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1564525
- Update to version 1.5.0
- Rebuild for new fmt

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-4.mga8
+ Revision: 1528665
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Aug 26 2019 tv <tv> 1.3.1-3.mga8
+ Revision: 1432331
- imported package spdlog


* Mon Aug 26 2019 Thierry Vignaud <tv@mageia.org> 1.3.1-3.mga8
- import from FC

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jan 20 2019 Vitaly Zaitsev <vitaly@easycoding.org> - 1.3.1-1
- Updated to version 1.3.1.

* Mon Nov 05 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.2.1-1
- Updated to version 1.2.1.

* Sun Sep 02 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.1.0-1
- Updated to version 1.1.0.

* Thu Aug 09 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 1.0.0-1
- Updated to version 1.0.0.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.17.0-1
- Updated to version 0.17.0.
- Added tests support.
- Added cmake and pkg-config support.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Sep 04 2016 Daniel Kopecek <dkopecek@redhat.com> - 0.10.0-1
- Update to 0.10.0

* Fri Jul 08 2016 Daniel Kopecek <dkopecek@redhat.com> - 0-8.20160703git34bb86b
- update to rev 34bb86b

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-7.20151110gitcbc8ba7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-6.20151110gitcbc8ba7
- update to rev cbc8ba7

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-5.20150410git211ce99
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 30 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-4.20150410git211ce99
- don't build the base package
- remove a dot from the release tag
- corrected -devel subpackage description

* Mon Apr 20 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-3.20150410git.211ce99
- use the -p option when copying the header files

* Tue Apr 14 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-2.20150410git.211ce99
- don't build the debuginfo subpackage
- require libstdc++-devel
- don't generate a distribution specific pkg-config file

* Fri Apr 10 2015 Daniel Kopecek <dkopecek@redhat.com> - 0-1.20150410git.211ce99
- Initial package
